Subject: Re: Can't create data socket?

From: [email-masked] (Danny Wagenaar)
Date: Wed, 3 May 1995 20:32:06 +0000

> From [email-masked] Wed May  3 20:26 WET 1995
> Date: Wed, 3 May 1995 11:23:37 -0700 (PDT)
> From: [email-masked] (J.J.Bailey)
> To: [email-masked]
> Subject: Re: Can't create data socket?
> Mime-Version: 1.0
> Content-Transfer-Encoding: 7bit
> X-Listprocessor-Version: 7.1 -- ListProcessor by CREN
> 
> > 
> > I have installed wu-ftpd 2.4 on an Sun running Solaris 2.4.  I have built
> > an "ls" binary without shared libraries (the GNU ls) and I get the
> > following error when I do an "ls" command:
> > 
> > 425 Can't create data socket (0.0.0.0,20): Bad file number.
> > 
> > What in the world is wrong and how can I fix it?
> > 
> > ctp
> > -----
> > Clyde T. Poole
> > Statewide Planning Analyst
> > Texas Dept. of Information Resources
> > [email-masked]
> > 
> > 
> 
> I'm having the same problem on Interactive 4.1.  In my case, it's only
> when a user logs in as "anonymous."  When I use my own login, no problem.
> 
> I traced this error to a failed socket() call (ENOENT).  The code looks
> correct, so I'm leaving this to a day when I can role my sleeves up for
> a few hours.
> 
> -- 
> J.J.Bailey
> Consultant
> [email-masked]

You have to make ~ftp/dev with a zero and a tcp device, see the INSTALL file
for the correct settings

-----------------------------------------------------------------------
| Danny Wagenaar                   | Email: [email-masked]  |
| Universite de Liege              |    or: [email-masked] |
| Faculte de Medicine Veterinaire  | Fax  : 32-41-664122              |
| Department of Genetics           |                                  |
-----------------------------------------------------------------------